com.unitech.lib.types

## Enum SKUType

- java.lang.Object
- - java.lang.Enum<SKUType>
  - - com.unitech.lib.types.SKUType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<SKUType>

      public enum SKUType
      extends java.lang.Enum<SKUType>
      implements IEnumType

  The SKUType enumeration represents the type of device associated with the SDK.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EU`
    `JP`
    `Unknown`
    `US`
    `USJP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static java.lang.String[]` | `names()` Returns an array containing the name of this enum type.
    `java.lang.String` | `toString()` Return the name of the enum
    `static SKUType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static SKUType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SKUType` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SKUType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final SKUType Unknown

    - #### EU

          public static final SKUType EU

    - #### US

          public static final SKUType US

    - #### JP

          public static final SKUType JP

    - #### USJP

          public static final SKUType USJP

  - ### Method Detail

    - #### values

          public static SKUType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SKUType c : SKUType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SKUType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<SKUType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static SKUType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static SKUType valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static java.lang.String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.